#!/bin/bash

# Partizione "Data"
rsync -avn --exclude 'imm-disco' --exclude 'Immagini/temp' --exclude 'musica-altro' --exclude 'VMs' --exclude 'SCGP/Immagini' --exclude 'temp' --delete /Data/ /media/luca/Linux-backup/Data/

#rsync -av /Data/imm-disco/ /media/luca/Linux-backup/imm-disco/

# Linux Mint 21
rsync -avn --delete /home/luca/Scaricati/ /media/luca/Linux-backup/Linux_Mint_21/Scaricati/
rsync -avn --delete /home/luca/Scrivania/ /media/luca/Linux-backup/Linux_Mint_21/Scrivania/
#rsync -av /home/luca/Pubblici/ /media/luca/Linux-backup/Linux_Mint_21/Pubblici/
rsync -avn /home/luca/Modelli/ /media/luca/Linux-backup/Linux_Mint_21/Modelli/
## file nascosti
rsync -avn --delete /home/luca/.thunderbird/ /media/luca/Linux-backup/Linux_Mint_21/.thunderbird/
rsync -avn /home/luca/.gnupg/ /media/luca/Linux-backup/Linux_Mint_21/.gnupg/
rsync -avn /home/luca/.local/share/strawberry/ /media/luca/Linux-backup/Linux_Mint_21/.local/share/strawberry/
rsync -avn --delete /home/luca/.local/share/TelegramDesktop/ /media/luca/Linux-backup/Linux_Mint_21/.local/share/TelegramDesktop/
## themes e icons
#rsync -avn --delete /home/luca/.icons/ /media/luca/Linux-backup/Linux_Mint_21/.icons/
rsync -avn --delete /home/luca/.themes/ /media/luca/Linux-backup/Linux_Mint_21/.themes/

# Home directory (generale)
rsync -avn --delete /home/luca/CD-audio/ /media/luca/Linux-backup/home/CD-audio/
## Configuration files
rsync -avn --delete /home/luca/config-files/ /media/luca/Linux-backup/home/config-files/
## VSCodium extensions
rsync -avn --delete /home/luca/.vscode-oss/extensions/ /media/luca/Linux-backup/home/.vscode-oss/extensions/
## SSH keys
rsync -avn /home/luca/.ssh/ /media/luca/Linux-backup/home/.ssh/
# bin
rsync -avn /home/luca/.local/bin/ /media/luca/Linux-backup/home/.local/bin/

# -a = -rlptgoD (no -A -X -U -N -H)
# -r = recursive
# -l = copy symlinks as symlinks
# -p = preserve permissions
# -t = preserve modification times
# -g = preserve group
# -o = preserve owner
# -D = --devices --specials
# --devices = preserve device-files (super-user only)
# --specials = preserve special files

